## com.sun.jersey.spi.uri.rules
Interface UriRules<R>

Type Parameters:
  `R` - the type of rule.

    public interface UriRules<R>

A collection of URI rules that can be matched against a path using associated patterns.

The precedence of the rules and the type of patterns is specified by an implementation of this interface.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.util.Iterator<R>` | `match(java.lang.CharSequence path, UriMatchResultContext resultContext)` Match a URI path to the collection of rules and iterate over the matching rules.

Method Detail

### match

    java.util.Iterator<R> match(java.lang.CharSequence path,
                                UriMatchResultContext resultContext)

  Match a URI path to the collection of rules and iterate over the matching rules.

  Parameters:
    `path` - the URI path to be matched
    `resultContext` - the context to store the match result. The result will be set each time `Iterator.next()` is called according to the pattern associated with the returned rule. The matching groups in the result are stored in the same order as the pattern's capturing groups.
  Returns:
    an iterator of matching rules

Copyright © 2017 Oracle Corporation. All Rights Reserved.